Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 212555 - error in nagios-plugins-linux_raid
Summary: error in nagios-plugins-linux_raid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-27 13:29 UTC by Christof Damian
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.4.8-4.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-13 17:08:50 UTC


Attachments (Terms of Use)

Description Christof Damian 2006-10-27 13:29:43 UTC
Description of problem:
syntax errors:

Bareword "utils" not allowed while "strict subs" in use at
/usr/lib/nagios/plugins/check_linux_raid.pl line 26.
Bareword "pm" not allowed while "strict subs" in use at
/usr/lib/nagios/plugins/check_linux_raid.pl line 26.
BEGIN not safe after errors--compilation aborted at
/usr/lib/nagios/plugins/check_linux_raid.pl line 27.


Version-Release number of selected component (if applicable):
nagios-plugins-linux_raid-1.4.4-1.fc5

How reproducible:
start it from the shell

the fix is this:
--- check_linux_raid.pl     2006-10-27 15:25:54.000000000 +0200
+++ check_linux_raid.pl 2006-10-27 15:24:02.000000000 +0200
@@ -23,7 +23,7 @@
 #        WARNING md0 status=[UUU_U], recovery=46.4%, finish=123.0min

 use strict;
-use lib utils.pm;
+use lib '/usr/lib/nagios/plugins';
 use utils qw(%ERRORS);

 # die with an error if we're not on Linux

Comment 1 Mike McGrath 2006-10-27 14:24:45 UTC
Fixed

Comment 2 Fedora Update System 2007-08-13 17:08:40 UTC
nagios-plugins-1.4.8-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.